import {useState, useEffect} from "react"
import {csv} from "d3"



const csvUrl = 
      'https://gist.githubusercontent.com/anxietyattacked/118a6e3ce45ff54c03ee4460b40055d3/raw/f109e321cbd79bfaa49dcd9a9486186ebb7bea32/LeagueAvg.csv'


const row = d => {
d["FG_PCT"] = +d["FG_PCT"]
  return d;
};



export const useLeagueData = () => {
const [data, setData] = useState(null)
console.log(data)

  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);
}